# quotes\_dlx\_block\_wrapper\_id

This filter allows you to change or modify the wrapper CSS ID for the block output. This is typically output when a user has selected to use an anchor to link directly to the block.

{% hint style="info" %}
Location: `php/Blocks.php`
{% endhint %}

{% code overflow="wrap" %}

```php
/**
 * Filter: quotes_dlx_block_wrapper_id
 *
 * Change the block ID attribute to output on wrapper.
 *
 * @since 1.0.0
 *
 * @param string Anchor text, or empty if none.
 */
$block_id         = $has_anchor ? $anchor : '';
$block_wrapper_id = apply_filters(
	'quotes_dlx_block_wrapper_id',
	$block_id
);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_wrapper_id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
